|  | Home · All Classes · Modules

# QDBusSignature Class Reference
[QtDBus module]

The QDBusSignature class enables the programmer to identify the SIGNATURE type provided by the D-Bus typesystem. More...

### Methods

- __init__ (self)
- __init__ (self, QString signature)
- __init__ (self, QDBusSignature)
- setSignature (self, QString signature)
- QString signature (self)

### Special Methods

- bool __eq__ (self, QDBusSignature rhs)
- bool __ge__ (self, QDBusSignature rhs)
- int __hash__ (self)
- bool __lt__ (self, QDBusSignature rhs)
- bool __ne__ (self, QDBusSignature rhs)

## Detailed Description

The QDBusSignature class enables the programmer to identify the SIGNATURE type provided by the D-Bus typesystem.

## Method Documentation

### QDBusSignature.__init__ (self)

Constructs a new signature.

See also setSignature().

### QDBusSignature.__init__ (self, QString signature)

Constructs a new signature from the given signature.

### QDBusSignature.__init__ (self, QDBusSignature)

Constructs a new signature from the given signature.

### QDBusSignature.setSignature (self, QString signature)

Assigns the value of the given signature to this signature.

See also signature().

### QString QDBusSignature.signature (self)

Returns this signature.

See also setSignature().

### bool QDBusSignature.__eq__ (self, QDBusSignature rhs)

### bool QDBusSignature.__ge__ (self, QDBusSignature rhs)

### int QDBusSignature.__hash__ (self)

### bool QDBusSignature.__lt__ (self, QDBusSignature rhs)

### bool QDBusSignature.__ne__ (self, QDBusSignature rhs)